<!--<template>-->
<!--  <component :is="activeName" />-->
<!--</template>-->
<template>
  <div>
    <List v-show="activeName=='List'" ref="list"/>
    <PaperInfo v-if="activeName=='PaperInfo'" />
    <Edit v-if="activeName=='Edit'" />
    <Inherit v-if="activeName=='Inherit'" />
  </div>
</template>
<script>
import List from './components/list'
import PaperInfo from './components/info'
import Edit from './components/edit'
import Inherit from './components/inherit'
export default {
  components: {
    List, PaperInfo, Edit, Inherit
  },
  data() {
    return {
      activeName: 'List',
      STAGEEXAMPAPERINPUT_ID: '',
      STAGEEXAMPAPER_ID: ''
    }
  },
  watch: {
    'activeName': {
      handler(newVar, oldVar) {
        if (newVar == 'refreshList') {
          this.$refs.list.goKeyReset()
          this.activeName = 'List'
        }
      }
    }
  }
}
</script>

<style scoped>

</style>
